Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetToDataSetFilter Class Reference

`#include <vtkDataSetToDataSetFilter.h>`

Inheritance diagram for vtkDataSetToDataSetFilter:

[legend]
Collaboration diagram for vtkDataSetToDataSetFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:43

Revision:
  1.70

vtkDataSetToDataSetFilter is an abstract filter class. Subclasses of vtkDataSetToDataSetFilter take a dataset as input and create a dataset as output. The form of the input geometry is not changed in these filters, only the point attributes (e.g. scalars, vectors, etc.).

This is an abstract filter type. What that means is that the output of the filter is an abstract type (i.e., vtkDataSet), no matter what the input of the filter is. This can cause problems connecting together filters due to the change in dataset type. (For example, in a series of filters processing vtkPolyData, when a vtkDataSetToDataSetFilter or subclass is introduced into the pipeline, if the filter downstream of it takes vtkPolyData as input, the pipeline connection cannot be made.) To get around this problem, use one of the convenience methods to return a concrete type (e.g., vtkGetPolyDataOutput(), GetStructuredPointsOutput(), etc.).

See also:
  vtkBrownianPoints vtkProbeFilter vtkThresholdTextureCoords vtkDicer vtkElevationFilter vtkImplicitTextureCoords vtkTextureMapToBox vtkTextureMapToPlane vtkVectorDot vtkVectorNorm

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (57%)
  - Martin, Ken (24%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkDataSetToDataSetFilter.h)`
  - .`cxx` (`/Filtering/vtkDataSetToDataSetFilter.cxx)`

Definition at line 68 of file vtkDataSetToDataSetFilter.h.

## Public Types
typedef vtkDataSetSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkDataSet *input)
vtkPolyData * | GetPolyDataOutput ()
vtkStructuredPoints * | GetStructuredPointsOutput ()
vtkStructuredGrid * | GetStructuredGridOutput ()
vtkUnstructuredGrid * | GetUnstructuredGridOutput ()
vtkRectilinearGrid * | GetRectilinearGridOutput ()
vtkDataSet * | GetInput ()
virtual void | ComputeInputUpdateExtents (vtkDataObject *output)
vtkDataSet * | GetOutput ()
vtkDataSet * | GetOutput (int idx)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataSetToDataSetFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetToDataSetFilter ()
| ~vtkDataSetToDataSetFilter ()
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkDataSetSource vtkDataSetToDataSetFilter::Superclass

| Reimplemented from vtkDataSetSource. Reimplemented in vtkCastToConcrete, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter. Definition at line 72 of file vtkDataSetToDataSetFilter.h.

## Constructor & Destructor Documentation

vtkDataSetToDataSetFilter::vtkDataSetToDataSetFilter | ( |  | ) | `[protected]`

vtkDataSetToDataSetFilter::~vtkDataSetToDataSetFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkDataSetToDataSetFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetSource. Reimplemented in vtkCastToConcrete, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

int vtkDataSetToDataSetFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetSource. Reimplemented in vtkCastToConcrete, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

virtual int vtkDataSetToDataSetFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetSource. Reimplemented in vtkCastToConcrete, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

vtkDataSetToDataSetFilter* vtkDataSetToDataSetFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetSource. Reimplemented in vtkCastToConcrete, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProgrammableFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

void vtkDataSetToDataSetFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetSource. Reimplemented in vtkCastToConcrete, vtkArrayCalculator, vtkAssignAttribute, vtkAttributeDataToFieldDataFilter, vtkBrownianPoints, vtkCellDataToPointData, vtkCellDerivatives, vtkDicer, vtkElevationFilter, vtkExtractTensorComponents, vtkFieldDataToAttributeDataFilter, vtkIdFilter, vtkImplicitTextureCoords, vtkInterpolateDataSetAttributes, vtkMaskFields, vtkMergeDataObjectFilter, vtkMergeFields, vtkMergeFilter, vtkOBBDicer, vtkPointDataToCellData, vtkProbeFilter, vtkProgrammableAttributeDataFilter, vtkProjectedTexture, vtkRearrangeFields, vtkSimpleElevationFilter, vtkSplitField, vtkTextureMapToCylinder, vtkTextureMapToPlane, vtkTextureMapToSphere, vtkThresholdTextureCoords, vtkTransformTextureCoords, vtkVectorDot, vtkVectorNorm, vtkPassThroughFilter, vtkPCellDataToPointData, vtkPieceScalars, and vtkPProbeFilter.

void vtkDataSetToDataSetFilter::SetInput | ( | vtkDataSet * | input | ) |

| Specify the input data or filter. Referenced by vtkMergeFilter::SetGeometry().

vtkDataSet* vtkDataSetToDataSetFilter::GetOutput | ( |  | ) |

| Get the output of this filter. If output is NULL then input hasn't been set which is necessary for abstract objects. Reimplemented from vtkDataSetSource.

vtkDataSet* vtkDataSetToDataSetFilter::GetOutput | ( | int | idx | ) |

| Get the output of this filter. If output is NULL then input hasn't been set which is necessary for abstract objects. Reimplemented from vtkDataSetSource.

vtkPolyData* vtkDataSetToDataSetFilter::GetPolyDataOutput | ( |  | ) |

| Get the output as vtkPolyData.

vtkStructuredPoints* vtkDataSetToDataSetFilter::GetStructuredPointsOutput | ( |  | ) |

| Get the output as vtkStructuredPoints.

vtkStructuredGrid* vtkDataSetToDataSetFilter::GetStructuredGridOutput | ( |  | ) |

| Get the output as vtkStructuredGrid.

vtkUnstructuredGrid* vtkDataSetToDataSetFilter::GetUnstructuredGridOutput | ( |  | ) |

| Get the output as vtkUnstructuredGrid.

vtkRectilinearGrid* vtkDataSetToDataSetFilter::GetRectilinearGridOutput | ( |  | ) |

| Get the output as vtkRectilinearGrid.

vtkDataSet* vtkDataSetToDataSetFilter::GetInput | ( |  | ) |

| Get the input data or filter. Referenced by vtkMergeFilter::GetGeometry().

virtual void vtkDataSetToDataSetFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[virtual]`

| By default copy the output update extent to the input Reimplemented from vtkSource. Reimplemented in vtkFieldDataToAttributeDataFilter, vtkMergeFilter, vtkProbeFilter, vtkPCellDataToPointData, and vtkPProbeFilter.

void vtkDataSetToDataSetFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkCastToConcrete, vtkProbeFilter, and vtkPProbeFilter.

The documentation for this class was generated from the following file:

- Filtering/vtkDataSetToDataSetFilter.h